Subject: Re: bug#23984: Bug avr-toolchain

From: Ricardo Wurmus <[email-masked]>
Date: Thu, 14 Jul 2016 21:36:09 +0200

Daniel Pimentel <[email-masked]> writes:

> I'd like report a bug in our avr-toolchain. I try compile to Arduino 
> plataform using Microscheme (installed with: guix package -i 
> microscheme) on GuixSD, but there are errors.
>
> I did:
> sudo microscheme -m UNO -d /dev/ttyACM0 -au lightom.ms
>
> Output:
> ...
> 32 lines compiled OK
> Assembling...
> ...
> avr-ld: cannot find crtatmega328p.o: No such file or directory

This looks like a search path issue.  If you copy this file from the
depths of the output directory to the current directory it should work
fine (works for me).

> ...
> avrdude: Device signature = 0x1e950f
> avrdude: reading input file "lightom.hex"
> avrdude: can't open input file lightom.hex: No such file or directory
> avrdude: read from file 'lightom.hex' failed

These errors will disappear once the above error is fixed.
Thanks for taking care of this!

~~ Ricardo